package com.yidianling.im.session.extension

import com.alibaba.fastjson.JSON
import com.alibaba.fastjson.JSONObject
import com.yidianling.im.bean.MedicineItemBean

/**
 * Created by Ykai on 2021/11/12.
 *
 * 患者报道消息解析器
 */
class CustomAttachmentPatientMedicineApply :
    CustomAttachment(CustomAttachmentType.TYPE_PATIENT_MEDICINE_APPLY) {

    private val TITLE = "title"
    private val VISITAPPLYNO = "visitApplyNo"
    private val MEDICINELIST = "medicineList"

    var title: String? = null
    var visitApplyNo: String? = null
    var medicinelist = mutableListOf<MedicineItemBean>()


    override fun parseData(data: JSONObject) {
        title = data.getString(TITLE)
        visitApplyNo = data.getString(VISITAPPLYNO)
        medicinelist = JSON.parseArray(
            data.getString(MEDICINELIST),
            MedicineItemBean::class.java
        ) as MutableList<MedicineItemBean>
    }

    override fun packData(): JSONObject {
        val data = JSONObject()
        data[TITLE] = title
        data[VISITAPPLYNO] = visitApplyNo
        data[MEDICINELIST] = medicinelist
        return data
    }
}