package com.yidianling.im.session.viewholder.adapter

import androidx.recyclerview.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import com.yidianling.im.R
import com.yidianling.im.bean.MedicineItemBean

/**
 * @author huozhiliang
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2020/9/7
 */
class AdapterMedicineApply : RecyclerView.Adapter<AdapterMedicineApply.ViewHolder>() {
    private var medicineList: MutableList<MedicineItemBean>? = mutableListOf()

    class ViewHolder(itemView: View) :
        RecyclerView.ViewHolder(itemView) {
        val medicine_name: TextView = itemView.findViewById(R.id.medicine_name)
        val medicine_count: TextView = itemView.findViewById(R.id.medicine_count)
        val medicine_spec: TextView = itemView.findViewById(R.id.medicine_spec)
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        return ViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.im_message_item_medicine_apply,
                parent,
                false
            )
        )
    }

    override fun getItemCount(): Int {
        return medicineList?.size ?: 0
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.medicine_name.text = medicineList?.get(position)?.medicineName
        holder.medicine_spec.text = "规格:" + medicineList?.get(position)?.medicineSpec
        holder.medicine_count.text = "x" + medicineList?.get(position)?.medicineApplyNumber
    }

    fun setTagData(data: MutableList<MedicineItemBean>) {
        medicineList = data
        notifyDataSetChanged()
    }

}